#include <iostream>
#include <string.h>

class Sedan {
public:
	Sedan();
	Sedan(const char *input_str, const int input_value);
	Sedan(const Sedan &obj);
	~Sedan();

	void printInfo();

private:
	char *str;
	unsigned int value;
};

class Sportcar {
public:
	Sportcar();
	Sportcar(const char *input_str, const int input_value);
	Sportcar(const Sportcar &obj);
	~Sportcar();

	void printInfo();

private:
	char *str;
	unsigned int value;
};

class Car {
public:
	Car();
	Car(const int input_value, Sedan &input_sedan, Sportcar &input_sportcar);
	~Car();

	void printInfo();

private:
	int value;
	Sedan *sedanObj;
	Sportcar *sportcarObj;
};